import { Component, Input } from '@angular/core';

@Component({
  selector: 'ui-button',
  templateUrl: './ui-button.component.html',
  styleUrls: ['./ui-button.component.scss'],
})
export class UiButtonComponent {
  /** Available are w1 - w20 in rem. Defaulted to 100% */
  @Input() size: string = '';
  /** Available colors: green | red | blue | neutral */
  @Input() type: string = 'default';
  //

  /**
   *  The width of the button, defaulted to 100%.
   *  Available are w1 - w20 in rem.
   * @type {string}
   * @memberof UiButtonComponent
   */
  @Input() width: string = 'default';

  /**
   * The color of the button, default is neutral.
   * Available are green, red, blue, neutral.
   * @type {string}
   * @memberof UiButtonComponent
   */
  @Input() color: string = 'neutral';
}
